{{ define "main" }}
	{{ if .IsHome }}
<header></header>
	{{ else }}
<header class="post">
	<h3>Posts about {{ humanize .Title }}</h3>
	{{ end }}
</header>
{{ $paginator := .Paginate .Pages.ByDate.Reverse -}}
{{ range $paginator.Pages -}}
<article class="post btm-border">
<header>
{{ partial "post-meta.html" . }}
{{ if (eq .Params.headerimg true) }}
<img src="{{ (.Resources.GetMatch "header-img").RelPermalink }}"></img>
{{ end }}
	<h3 class="post-header"><a href="{{ .RelPermalink }}">{{ .Title }}</a></h3>
<section class="post-desc">
{{ if gt (len .Description) 0 }}
{{ .Description | markdownify }}
{{ end }}
</section>
{{ partial "post-date.html" . }}
</header>
</article>
{{ end }}
<footer>
{{ partial "pagination.html" $paginator }}
</footer>
{{ end }}
